Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 418007 - dev-python/scrapy-0.14.4 fails in setup while parsing urlparse_monkeypatches.py
Summary: dev-python/scrapy-0.14.4 fails in setup while parsing urlparse_monkeypatches.py
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Maxim Koltsov
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-28 17:27 UTC by Willard Dawson
Modified: 2016-06-08 06:42 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge-info,5.58 KB, text/plain)
2012-05-28 17:27 UTC, Willard Dawson
Details
build log (build.log,2.49 KB, text/plain)
2012-05-28 17:28 UTC, Willard Dawson
Details
emerge -pqv (emerge-pqv,94 bytes, text/plain)
2012-05-28 17:29 UTC, Willard Dawson
Details
Emerge environment (environment,154.48 KB, text/plain)
2012-05-28 17:30 UTC, Willard Dawson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Willard Dawson 2012-05-28 17:27:46 UTC
Created attachment 313403 [details]
emerge --info

The error is short enough to use as the description:

# emerge -uDN dev-python/scrapy
Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) dev-python/scrapy-0.14.4
 * Scrapy-0.14.4.tar.gz RMD160 SHA1 SHA256 size ;-) ...                  [ ok ]
>>> Unpacking source...
>>> Unpacking Scrapy-0.14.4.tar.gz to /var/tmp/portage/dev-python/scrapy-0.14.4/work
>>> Source unpacked in /var/tmp/portage/dev-python/scrapy-0.14.4/work
>>> Preparing source in /var/tmp/portage/dev-python/scrapy-0.14.4/work/Scrapy-0.14.4 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/dev-python/scrapy-0.14.4/work/Scrapy-0.14.4 ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/dev-python/scrapy-0.14.4/work/Scrapy-0.14.4 ...
 * Building of dev-python/scrapy-0.14.4 with CPython 2.7...
python2.7 setup.py build -b build-2.7
Traceback (most recent call last):
  File "setup.py", line 93, in <module>
    version = __import__('scrapy').__version__
  File "/var/tmp/portage/dev-python/scrapy-0.14.4/work/Scrapy-0.14.4/scrapy/__init__.py", line 18, in <module>
    from scrapy.xlib import twisted_250_monkeypatches, urlparse_monkeypatches
  File "/var/tmp/portage/dev-python/scrapy-0.14.4/work/Scrapy-0.14.4/scrapy/xlib/urlparse_monkeypatches.py", line 1, in <module>
    from urlparse import urlparse, uses_netloc, uses_query
ImportError: cannot import name uses_query
Comment 1 Willard Dawson 2012-05-28 17:28:22 UTC
Created attachment 313405 [details]
build log
Comment 2 Willard Dawson 2012-05-28 17:29:28 UTC
Created attachment 313407 [details]
emerge -pqv
Comment 3 Willard Dawson 2012-05-28 17:30:48 UTC
Created attachment 313409 [details]
Emerge environment
Comment 4 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2012-05-28 19:48:15 UTC
urlparse is a part of Python's stdlib. Your python installation is somehow crippled. I don't know what may have caused that :/
Comment 5 Willard Dawson 2012-06-14 14:48:15 UTC
(In reply to comment #4)
> urlparse is a part of Python's stdlib. Your python installation is somehow
> crippled. I don't know what may have caused that :/

I figured it out.  I had installed the progress overlay for some reason (probably related to a screen scraping tool from the pentoo overlay), but can safely live without the progress overlay - having removed it and rebuilt the affected builds (especially, python), scrapy installs as it should.

So - this bug is basically invalid.

Thanks.
Comment 6 Arfrever Frehtes Taifersar Arahesis 2012-06-14 16:23:18 UTC
This is a valid bug, which will also occur for users of >=dev-lang/python-2.7.4:2.7::gentoo.

uses_query has been removed:
http://hg.python.org/cpython/rev/79e6ff3d9afd

dev-python/scrapy should be fixed. I have reported upstream issue:
https://github.com/scrapy/scrapy/issues/144
Comment 7 Willard Dawson 2012-06-14 16:40:49 UTC
(In reply to comment #6)
> This is a valid bug, which will also occur for users of
> >=dev-lang/python-2.7.4:2.7::gentoo.
> 
> uses_query has been removed:
> http://hg.python.org/cpython/rev/79e6ff3d9afd
> 
> dev-python/scrapy should be fixed. I have reported upstream issue:
> https://github.com/scrapy/scrapy/issues/144

Interesting.  I didn't bother reporting it, but I had tested locally by removing uses_query and making a custom distfile for myself, and of course that worked.  I wasn't sure whether it affected the runtime for scrapy as I did not put it through regression tests of any sort.
Comment 8 Willard Dawson 2014-03-29 14:46:12 UTC
This bug is way old.  Is it still valid?
Comment 9 Willard Dawson 2016-06-08 02:21:35 UTC
Inasmuch as dev-python/scrapy-1.0.3 installed OK for me just now, this really old bug is clearly obsolete. Please close it.